---
title: Get Whitelist Source Accounts
slug: api/get-whitelist-source-accounts
docTags: 
createdAt: 2025-06-10T23:35:03.459Z
---

{
  "id": "l7KLWrB6RDGAlcD0g9U6v",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}",
        "description": "Sandbox URL"
      }
    ],
    "name": "Get Whitelist Source Accounts",
    "description": "This endpoint will list all whitelisted source account details linked to the queried Automatcher account number.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "automatcherBankAccountNumber",
          "type": "string",
          "description": "<p>Valid receivables bank account number belonging to the Sign-in mAccount.</p>"
        }
      ],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "bsb",
          "type": "string",
          "description": "<p>Optional BSB parameter specifying the branch identifier for Australian banks. Accepts either 6 digits or with a hyphen as '999-999'. If not specified, the service will use the MAccount's configured 'Default BSB'. If a 'Default BSB' has not been configured, then the Monoova 'Default BSB' will be used.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "cruWhiteListSourceAccountResponse_V1",
            "schema": [
              {
                "name": "automatcherBankAccountNumber",
                "kind": "optional",
                "type": "string",
                "description": "Valid receivables bank account number belonging to the Sign-in mAccount.",
                "example": ""
              },
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "20",
                "example": 0
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "Operation completed successfully",
                "example": ""
              },
              {
                "name": "automatcherBsb",
                "kind": "optional",
                "type": "string",
                "description": "Optional BSB parameter specifying the branch identifier for Australian banks. Accepts either 6 digits or with a hyphen as '999-999'. If not specified, the service will use the MAccount's configured 'Default BSB'. If a 'Default BSB' has not been configured, then the Monoova 'Default BSB' will be used.",
                "example": ""
              },
              {
                "name": "sourceAccount",
                "kind": "optional",
                "type": "array",
                "description": "This is the sourceAccount.",
                "modelRef": "#/components/schemas/cruWhiteListSourceAccountsClass",
                "customType": "cruWhiteListSourceAccountsClass[]",
                "schema": [
                  {
                    "name": "accountStatus",
                    "kind": "optional",
                    "type": "string",
                    "description": "Account status; either Enabled or Disabled.",
                    "example": ""
                  },
                  {
                    "name": "accountName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Account name.",
                    "example": ""
                  },
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "id",
                    "example": 0
                  },
                  {
                    "name": "accountNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "3 to 9 digit bank account number.",
                    "example": ""
                  },
                  {
                    "name": "bsbNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "6 digits with a '-'. At least one of BSB/AccountNumber or AccountName is required.",
                    "example": ""
                  }
                ]
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "Ok",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/cruWhiteListSourceAccountResponse_V1",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ciK31tQpjzCClOidVaoCb",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "jPAfkvbkBZgxGWZ5BgyiB",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "dgS8KBr-fUAeeqBO5QquW",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "KhfLYu1sC7dueDejdmYYq",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/receivables/v1/whitelisting/list/{automatcherBankAccountNumber}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ciK31tQpjzCClOidVaoCb"
    },
    "results": {
      "languages": [
        {
          "id": "b0PXoKDisbfUUS2QrYG3N",
          "language": "200",
          "code": "// successful validation\n{\n  \"automatcherBankAccountNumber\": \"\",\n  \"durationMs\": \"\",\n  \"statusDescription\": \"\",\n  \"automatcherBsb\": \"\",\n  \"sourceAccount\": [\n    {\n      \"accountStatus\": \"\",\n      \"accountName\": \"\",\n      \"id\": \"\",\n      \"accountNumber\": \"\",\n      \"bsbNumber\": \"\"\n    }\n  ],\n  \"status\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "b0PXoKDisbfUUS2QrYG3N"
    }
  },
  "children": [
    {
      "id": "JiY3xGvl7bGXBJeiYBP00",
      "type": "paragraph",
      "children": [
        {
          "text": "This endpoint will list all whitelisted source account details linked to the queried Automatcher account number."
        }
      ]
    }
  ]
}